echat(1)

NAME
eChat - network conversations

SYNOPSIS
echat [-tsvdh] [-n nick] [-g gender] [-c channel] [-m mode] [-i activity] [-a address] [-p port] [-l filename]

DESCRIPTIPON
eChat is a serverless messaging system dedicated to chat and messages exchange over the TCP/IP networks compatible with Vypress Chat and quickChat for Windows9x/ME/NT/2000/XP

OPTIONS

-n  nick
    your nick

-g  0|1
    your gender: 0 - male, 1 - female

-c  channel
    main channel

-m  0|1|2|3
    your mode: 0 - normal, 1 - dnd, 2 - away, 3 - offline

-i  0|1
    your activity: 0 - not active, 1 - active

-a  address
    broadcast send address (only one)

-p  port
    listen port

-l  filename
    name of logfile (only one)

-t  start tcp server

-s  enable server mode

-v  be verbose

-d  show compiled in defines

-h  this help

KEYS

F1-F4
    - switch to channel

^O or TAB
    - next channel

^D  - quit eChat

^A  - change activity

^K  - reverse users

^R or F5
    - update users

^L  - refresh screen

^T  - top of screen history

^B  - bottom of screen history

^P or PGUP
    - scroll up

^N or PGDN
    - scroll down

^E  - recode input line after cursor (-DCHARSET)

'`' , [1-9]
    - put nick #[1-9] into input line: `1 - will be replaced with first nick, `2 - with second nick, etc

'/' , [1-9]
    - message to nick #[1-9]: /1 - message to first nick, /2 - message to second nick, etc

COMMANDS

quit
    - quit eChat

help
    - help on commands

version
    - show version

status
    - show current status

keys
    - show working keys

verbose
    - toggle verbosity

clear
    - clear command and screen history

!   - shell command

load
    - load configuration from file

save
    - save current configuration to file

answer
    - show/change current autoanswer

gender
    - change gender

my  - change beeps mode

favorite
    - show/favorite/unfavorite nick(s)

ignore
    - show/ignore/unignore nick(s)

ban - show/ban/unban address(es)

join
    - join channel

leave
    - leave channel

nick
    - change current nick

message
    - send message to nick

mass
    - send mass message

exec
    - execute command

me  - me action

topic
    - show/change current topic

add - add to current topic

mode
    - change current mode

normal
    - change current mode to normal

dnd - change current mode to dnd

away
    - change current mode to away

off - change current mode to offline

info
    - get info on nick(s)

beep
    - beep to nick(s)

talk
    - private chat with nick

here
    - who here

active
    - change current activity

note:
    some command may be used with double space for cleaning entire list:

- `/favorite  ', `/ignore  ', `/ban  ' - clear user lists

- `/dnd  ', `/away  ', `/off  ' -  clear autoanswer lists

- `/topic  ' - clear current topic

USERS MENU

+   - normal mode

-   - dnd mode

=   - away mode

*   - offline mode

ENVIRONMENT

HOME
    home directory

FILES

/etc/echatrc
    general configuration

~/.echatrc
    user configuration

./.echatrc
    current configuration

CREDITS
VyPRESS Research, LLC <http://www.vypress.com> - for nice program
Sergey Barkov <stive@softhome.ru> - for technical support
Genix <genix@sendmail.ru> - quickChat port, first man page
sibkot <sibkot@mail.ru> - author of VyperChat for linux
all the FreeZNet for testing assistance, and personally Andy, Mouse

COPYING
see GPL for copying info

BUGS
quickChat and Vypress Chat protocols are basically insecure and contains no any protection against spoofing, flooding or sniffing.
it's not a bug, it's a feature

AUTHOR
SeaD <sead@mail.ru>